var $AdfDhtmlResetButtonPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlResetButtonPeer");
$goog$exportSymbol$$("AdfDhtmlResetButtonPeer", $AdfDhtmlResetButtonPeer$$);
$AdfDhtmlResetButtonPeer$$.$InitSubclass$ = function $$AdfDhtmlResetButtonPeer$$$$InitSubclass$$() {
  this.$_changedComponents$ = [];
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichResetButton.TEXT);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichResetButton.TEXT);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlResetButtonPeer.InitSubclass", $AdfDhtmlResetButtonPeer$$.$InitSubclass$);
$AdfDhtmlResetButtonPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlResetButtonPeer$$$$$InitDomElement$$($component$$1920$$, $domElement$$422$$) {
  $AdfDhtmlResetButtonPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1920$$, $domElement$$422$$);
  $domElement$$422$$.addEventListener("click", function($component$$1920$$) {
    $component$$1920$$.preventDefault();
  });
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlResetButtonPeer$$.prototype.$InitDomElement$});
$AdfDhtmlResetButtonPeer$$.prototype.$ComponentTextChanged$ = $AdfDomUtils$$.$__componentTextChanged$;
$AdfDhtmlResetButtonPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlResetButtonPeer$$$$$GetComponentText$$($component$$1921$$, $domElement$$423$$) {
  return $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$423$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlResetButtonPeer$$.prototype.$GetComponentText$});
$AdfDhtmlResetButtonPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlResetButtonPeer$$$$$HandleComponentClick$$($componentEvent$$421$$) {
  var $component$$1922$$ = this.$getComponent$();
  !$component$$1922$$.getDisabled() && $componentEvent$$421$$.$isLeftButtonPressed$() && $AdfResetEvent$$.$queue$($component$$1922$$, !0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlResetButtonPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlResetButtonPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlResetButtonPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleTextEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlResetButtonPeer$$.prototype.$GetInlineEditor$});
